!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Module PhysSet
!
!   * Developer: SUGIYAMA Ko-ichiro (sugiyama@gfd-dennou.org)
!   * Version: $Id: physset.f90,v 1.2.2.1 2005/07/15 02:17:44 kitamo Exp $ 
!   * Tag Name: $Name:  $
!   * Change History: 
!
!== Overview 
!
!ʪѥ⥸塼
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!== Future Plans
!
                                                                 !=end
module physset

  implicit none
  save
                                                                 !=begin
  !== Public Interface
  real(8)  :: Grav          !
  real(8)  :: TempSfc       !ɸಹ               [K]
  real(8)  :: PressSfc      !ɸవ               [Pa]
  real(8)  :: CpDry         !ʬʿ갵Ǯ [J/K mol]
  real(8)  :: MolWtDry      !ʬʿʬ   [kg/mol]
  real(8)  :: GasRUniv      !׵           [J/K mol]
  real(8)  :: Pi            !߼Ψ                 []
  real(8)  :: TempRef       !ɸಹ               [K]
  real(8)  :: PressRef      !ɸవ               [Pa]
  real(8)  :: DayTime       !                 [s]
                                                                 !=end
contains
                                                                 !=begin
  !== Procedure Interface 
  !
  !=== Initialize module and acquire NAMELIST
  !
  !NAMELIST ʪɤ߹
  !
  subroutine physset_init(cfgfile)
    !=== Dependency
    use dc_trace,      only: BeginSub, EndSub 
                                                                 !=end
    character(*), intent(in) :: cfgfile
                                                                 !=begin
    !=== NAMELIST
    NAMELIST /physset/ Grav, TempSfc, PressSfc, CpDry, MolWtDry, &
         &             GasRUniv, Pi, TempRef, PressRef, DayTime
                                                                 !=end
    call BeginSub("physset_init", &
&                 fmt="%c",       &
&                 c1="Initialize parameters of physics. ")

    open (10, FILE=cfgfile)
    read(10, NML=physset)
    close(10)


    !==== ǧ
!    write(*,*) "Grav", Grav
!    write(*,*) "TempSfc", TempSfc
!    write(*,*) "PressSfc", PressSfc
!    write(*,*) "CpDry", CpDry
!    write(*,*) "MolWtDry", MolWtDry
!    write(*,*) "GasRUniv", GasRUniv
!    write(*,*) "Pi", Pi
!    write(*,*) "TempRef", TempRef
!    write(*,*) "PressRef", PressRef
!    write(*,*) "DayTime", DayTime

    call EndSub("physset_init")

  end subroutine physset_init

end module physset
